const ts = require('gulp-typescript');
const merge = require('merge-stream');

module.exports = (gulp) => {
  gulp.task('build', ['clean:dist', 'tslint'], () => {
    const tsProject = ts.createProject('tsconfig.json');
  
    const tsFiles = gulp.src('src/**/*.ts')
      .pipe(tsProject())
      .pipe(gulp.dest('dist'));
  
    merge(tsFiles);
  });
};